CREATE TABLE @@DB_MAIN_PREFIX@@_config_table (
config_id                VARCHAR(64) NOT NULL,
project_id               INTEGER NOT NULL DEFAULT 0,
user_id                  INTEGER NOT NULL DEFAULT 0,
access_reqd              INTEGER DEFAULT 0,
type                     INTEGER DEFAULT 90,
value                    LONGTEXT NOT NULL,
PRIMARY KEY (config_id, project_id, user_id)
)TYPE=MyISAM;

ALTER TABLE @@DB_MAIN_PREFIX@@_config_table ADD  INDEX idx_config  (config_id);

CREATE TABLE @@DB_MAIN_PREFIX@@_bug_file_table (
id                       INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
bug_id                   INTEGER UNSIGNED NOT NULL DEFAULT 0,
title                    VARCHAR(250) NOT NULL DEFAULT '',
description              VARCHAR(250) NOT NULL DEFAULT '',
diskfile                 VARCHAR(250) NOT NULL DEFAULT '',
filename                 VARCHAR(250) NOT NULL DEFAULT '',
folder                   VARCHAR(250) NOT NULL DEFAULT '',
filesize                 INTEGER NOT NULL DEFAULT 0,
file_type                VARCHAR(250) NOT NULL DEFAULT '',
date_added               DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
content                  LONGBLOB,
PRIMARY KEY (id)
)TYPE=MyISAM;

ALTER TABLE @@DB_MAIN_PREFIX@@_bug_file_table ADD  INDEX idx_bug_file_bug_id  (bug_id);

CREATE TABLE @@DB_MAIN_PREFIX@@_bug_history_table (
id                       INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
user_id                  INTEGER UNSIGNED NOT NULL DEFAULT 0,
bug_id                   INTEGER UNSIGNED NOT NULL DEFAULT 0,
date_modified            DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
field_name               VARCHAR(32) NOT NULL DEFAULT '',
old_value                VARCHAR(128) NOT NULL DEFAULT '',
new_value                VARCHAR(128) NOT NULL DEFAULT '',
type                     SMALLINT NOT NULL DEFAULT 0,
                 PRIMARY KEY (id)
)TYPE=MyISAM;

ALTER TABLE @@DB_MAIN_PREFIX@@_bug_history_table ADD  INDEX idx_bug_history_bug_id  (bug_id);

ALTER TABLE @@DB_MAIN_PREFIX@@_bug_history_table ADD  INDEX idx_history_user_id  (user_id);

CREATE TABLE @@DB_MAIN_PREFIX@@_bug_monitor_table (
user_id                  INTEGER UNSIGNED NOT NULL DEFAULT 0,
bug_id                   INTEGER UNSIGNED NOT NULL DEFAULT 0,
                 PRIMARY KEY (user_id, bug_id)
)TYPE=MyISAM;

CREATE TABLE @@DB_MAIN_PREFIX@@_bug_relationship_table (
id                       INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
source_bug_id            INTEGER UNSIGNED NOT NULL DEFAULT 0,
destination_bug_id       INTEGER UNSIGNED NOT NULL DEFAULT 0,
relationship_type        SMALLINT NOT NULL DEFAULT 0,
                 PRIMARY KEY (id)
)TYPE=MyISAM;

ALTER TABLE @@DB_MAIN_PREFIX@@_bug_relationship_table ADD  INDEX idx_relationship_source  (source_bug_id);

ALTER TABLE @@DB_MAIN_PREFIX@@_bug_relationship_table ADD  INDEX idx_relationship_destination  (destination_bug_id);

CREATE TABLE @@DB_MAIN_PREFIX@@_bug_table (
id                       INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
project_id               INTEGER UNSIGNED NOT NULL DEFAULT 0,
reporter_id              INTEGER UNSIGNED NOT NULL DEFAULT 0,
handler_id               INTEGER UNSIGNED NOT NULL DEFAULT 0,
duplicate_id             INTEGER UNSIGNED NOT NULL DEFAULT 0,
priority                 SMALLINT NOT NULL DEFAULT 30,
severity                 SMALLINT NOT NULL DEFAULT 50,
reproducibility          SMALLINT NOT NULL DEFAULT 10,
status                   SMALLINT NOT NULL DEFAULT 10,
resolution               SMALLINT NOT NULL DEFAULT 10,
projection               SMALLINT NOT NULL DEFAULT 10,
category                 VARCHAR(64) NOT NULL DEFAULT '',
date_submitted           DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
last_updated             DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
eta                      SMALLINT NOT NULL DEFAULT 10,
bug_text_id              INTEGER UNSIGNED NOT NULL DEFAULT 0,
os                       VARCHAR(32) NOT NULL DEFAULT '',
os_build                 VARCHAR(32) NOT NULL DEFAULT '',
platform                 VARCHAR(32) NOT NULL DEFAULT '',
version                  VARCHAR(64) NOT NULL DEFAULT '',
fixed_in_version         VARCHAR(64) NOT NULL DEFAULT '',
build                    VARCHAR(32) NOT NULL DEFAULT '',
profile_id               INTEGER UNSIGNED NOT NULL DEFAULT 0,
view_state               SMALLINT NOT NULL DEFAULT 10,
summary                  VARCHAR(128) NOT NULL DEFAULT '',
sponsorship_total        INTEGER NOT NULL DEFAULT 0,
sticky                   TINYINT NOT NULL DEFAULT 0,
                 PRIMARY KEY (id)
)TYPE=MyISAM;

ALTER TABLE @@DB_MAIN_PREFIX@@_bug_table ADD  INDEX idx_bug_sponsorship_total  (sponsorship_total);

ALTER TABLE @@DB_MAIN_PREFIX@@_bug_table ADD  INDEX idx_bug_fixed_in_version  (fixed_in_version);

ALTER TABLE @@DB_MAIN_PREFIX@@_bug_table ADD  INDEX idx_bug_status  (status);

ALTER TABLE @@DB_MAIN_PREFIX@@_bug_table ADD  INDEX idx_project  (project_id);

CREATE TABLE @@DB_MAIN_PREFIX@@_bug_text_table (
id                       INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
description              LONGTEXT NOT NULL,
steps_to_reproduce       LONGTEXT NOT NULL,
additional_information   LONGTEXT NOT NULL,
                 PRIMARY KEY (id)
)TYPE=MyISAM;

CREATE TABLE @@DB_MAIN_PREFIX@@_bugnote_table (
id                       INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
bug_id                   INTEGER UNSIGNED NOT NULL DEFAULT 0,
reporter_id              INTEGER UNSIGNED NOT NULL DEFAULT 0,
bugnote_text_id          INTEGER UNSIGNED NOT NULL DEFAULT 0,
view_state               SMALLINT NOT NULL DEFAULT 10,
date_submitted           DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
last_modified            DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
note_type                INTEGER DEFAULT 0,
note_attr                VARCHAR(250) DEFAULT '',
                 PRIMARY KEY (id)
)TYPE=MyISAM;

ALTER TABLE @@DB_MAIN_PREFIX@@_bugnote_table ADD  INDEX idx_bug  (bug_id);

ALTER TABLE @@DB_MAIN_PREFIX@@_bugnote_table ADD  INDEX idx_last_mod  (last_modified);

CREATE TABLE @@DB_MAIN_PREFIX@@_bugnote_text_table (
id                       INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
note                     LONGTEXT NOT NULL,
                 PRIMARY KEY (id)
)TYPE=MyISAM;

CREATE TABLE @@DB_MAIN_PREFIX@@_custom_field_project_table (
field_id                 INTEGER NOT NULL DEFAULT 0,
project_id               INTEGER UNSIGNED NOT NULL DEFAULT 0,
sequence                 SMALLINT NOT NULL DEFAULT 0,
                 PRIMARY KEY (field_id, project_id)
)TYPE=MyISAM;

CREATE TABLE @@DB_MAIN_PREFIX@@_custom_field_string_table (
field_id                 INTEGER NOT NULL DEFAULT 0,
bug_id                   INTEGER NOT NULL DEFAULT 0,
value                    VARCHAR(255) NOT NULL DEFAULT '',
                 PRIMARY KEY (field_id, bug_id)
)TYPE=MyISAM;

ALTER TABLE @@DB_MAIN_PREFIX@@_custom_field_string_table ADD  INDEX idx_custom_field_bug  (bug_id);

CREATE TABLE @@DB_MAIN_PREFIX@@_custom_field_table (
id                       INTEGER NOT NULL AUTO_INCREMENT,
name                     VARCHAR(64) NOT NULL DEFAULT '',
type                     SMALLINT NOT NULL DEFAULT 0,
possible_values          VARCHAR(255) NOT NULL DEFAULT '',
default_value            VARCHAR(255) NOT NULL DEFAULT '',
valid_regexp             VARCHAR(255) NOT NULL DEFAULT '',
access_level_r           SMALLINT NOT NULL DEFAULT 0,
access_level_rw          SMALLINT NOT NULL DEFAULT 0,
length_min               INTEGER NOT NULL DEFAULT 0,
length_max               INTEGER NOT NULL DEFAULT 0,
advanced                 TINYINT NOT NULL DEFAULT 0,
require_report           TINYINT NOT NULL DEFAULT 0,
require_update           TINYINT NOT NULL DEFAULT 0,
display_report           TINYINT NOT NULL DEFAULT 1,
display_update           TINYINT NOT NULL DEFAULT 1,
require_resolved         TINYINT NOT NULL DEFAULT 0,
display_resolved         TINYINT NOT NULL DEFAULT 0,
display_closed           TINYINT NOT NULL DEFAULT 0,
require_closed           TINYINT NOT NULL DEFAULT 0,
                 PRIMARY KEY (id)
)TYPE=MyISAM;

ALTER TABLE @@DB_MAIN_PREFIX@@_custom_field_table ADD  INDEX idx_custom_field_name  (name);

CREATE TABLE @@DB_MAIN_PREFIX@@_filters_table (
id                       INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
user_id                  INTEGER NOT NULL DEFAULT 0,
project_id               INTEGER NOT NULL DEFAULT 0,
is_public                TINYINT DEFAULT NULL,
name                     VARCHAR(64) NOT NULL DEFAULT '',
filter_string            LONGTEXT NOT NULL,
                 PRIMARY KEY (id)
)TYPE=MyISAM;

CREATE TABLE @@DB_MAIN_PREFIX@@_news_table (
id                       INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
project_id               INTEGER UNSIGNED NOT NULL DEFAULT 0,
poster_id                INTEGER UNSIGNED NOT NULL DEFAULT 0,
date_posted              DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
last_modified            DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
view_state               SMALLINT NOT NULL DEFAULT 10,
announcement             TINYINT NOT NULL DEFAULT 0,
headline                 VARCHAR(64) NOT NULL DEFAULT '',
body                     LONGTEXT NOT NULL,
                 PRIMARY KEY (id)
)TYPE=MyISAM;

CREATE TABLE @@DB_MAIN_PREFIX@@_project_category_table (
project_id               INTEGER UNSIGNED NOT NULL DEFAULT 0,
category                 VARCHAR(64) NOT NULL DEFAULT '',
user_id                  INTEGER UNSIGNED NOT NULL DEFAULT 0,
                 PRIMARY KEY (project_id, category)
)TYPE=MyISAM;

CREATE TABLE @@DB_MAIN_PREFIX@@_project_file_table (
id                       INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
project_id               INTEGER UNSIGNED NOT NULL DEFAULT 0,
title                    VARCHAR(250) NOT NULL DEFAULT '',
description              VARCHAR(250) NOT NULL DEFAULT '',
diskfile                 VARCHAR(250) NOT NULL DEFAULT '',
filename                 VARCHAR(250) NOT NULL DEFAULT '',
folder                   VARCHAR(250) NOT NULL DEFAULT '',
filesize                 INTEGER NOT NULL DEFAULT 0,
file_type                VARCHAR(250) NOT NULL DEFAULT '',
date_added               DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
content                  LONGBLOB,
                 PRIMARY KEY (id)
)TYPE=MyISAM;

CREATE TABLE @@DB_MAIN_PREFIX@@_project_hierarchy_table (
child_id                 INTEGER UNSIGNED NOT NULL,
parent_id                INTEGER UNSIGNED NOT NULL
)TYPE=MyISAM;

CREATE TABLE @@DB_MAIN_PREFIX@@_project_table (
id                       INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
name                     VARCHAR(128) NOT NULL DEFAULT '',
status                   SMALLINT NOT NULL DEFAULT 10,
enabled                  TINYINT NOT NULL DEFAULT 1,
view_state               SMALLINT NOT NULL DEFAULT 10,
access_min               SMALLINT NOT NULL DEFAULT 10,
file_path                VARCHAR(250) NOT NULL DEFAULT '',
description              LONGTEXT NOT NULL,
                 PRIMARY KEY (id)
)TYPE=MyISAM;

ALTER TABLE @@DB_MAIN_PREFIX@@_project_table ADD  INDEX idx_project_id  (id);

ALTER TABLE @@DB_MAIN_PREFIX@@_project_table ADD  UNIQUE INDEX idx_project_name  (name);

ALTER TABLE @@DB_MAIN_PREFIX@@_project_table ADD  INDEX idx_project_view  (view_state);

CREATE TABLE @@DB_MAIN_PREFIX@@_project_user_list_table (
project_id               INTEGER UNSIGNED NOT NULL DEFAULT 0,
user_id                  INTEGER UNSIGNED NOT NULL DEFAULT 0,
access_level             SMALLINT NOT NULL DEFAULT 10,
                 PRIMARY KEY (project_id, user_id)
)TYPE=MyISAM;

ALTER TABLE @@DB_MAIN_PREFIX@@_project_user_list_table ADD  INDEX idx_project_user  (user_id);

CREATE TABLE @@DB_MAIN_PREFIX@@_project_version_table (
id                       INTEGER NOT NULL AUTO_INCREMENT,
project_id               INTEGER UNSIGNED NOT NULL DEFAULT 0,
version                  VARCHAR(64) NOT NULL DEFAULT '',
date_order               DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
description              LONGTEXT NOT NULL,
released                 TINYINT NOT NULL DEFAULT 1,
                 PRIMARY KEY (id)
)TYPE=MyISAM;

ALTER TABLE @@DB_MAIN_PREFIX@@_project_version_table ADD  UNIQUE INDEX idx_project_version  (project_id, version);

CREATE TABLE @@DB_MAIN_PREFIX@@_sponsorship_table (
id                       INTEGER NOT NULL AUTO_INCREMENT,
bug_id                   INTEGER NOT NULL DEFAULT 0,
user_id                  INTEGER NOT NULL DEFAULT 0,
amount                   INTEGER NOT NULL DEFAULT 0,
logo                     VARCHAR(128) NOT NULL DEFAULT '',
url                      VARCHAR(128) NOT NULL DEFAULT '',
paid                     TINYINT NOT NULL DEFAULT 0,
date_submitted           DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
last_updated             DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
                 PRIMARY KEY (id)
)TYPE=MyISAM;

ALTER TABLE @@DB_MAIN_PREFIX@@_sponsorship_table ADD  INDEX idx_sponsorship_bug_id  (bug_id);

ALTER TABLE @@DB_MAIN_PREFIX@@_sponsorship_table ADD  INDEX idx_sponsorship_user_id  (user_id);

CREATE TABLE @@DB_MAIN_PREFIX@@_tokens_table (
id                       INTEGER NOT NULL AUTO_INCREMENT,
owner                    INTEGER NOT NULL,
type                     INTEGER NOT NULL,
timestamp                DATETIME NOT NULL,
expiry                   DATETIME,
value                    LONGTEXT NOT NULL,
                 PRIMARY KEY (id)
)TYPE=MyISAM;

CREATE TABLE @@DB_MAIN_PREFIX@@_user_pref_table (
id                       INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
user_id                  INTEGER UNSIGNED NOT NULL DEFAULT 0,
project_id               INTEGER UNSIGNED NOT NULL DEFAULT 0,
default_profile          INTEGER UNSIGNED NOT NULL DEFAULT 0,
default_project          INTEGER UNSIGNED NOT NULL DEFAULT 0,
advanced_report          TINYINT NOT NULL DEFAULT 0,
advanced_view            TINYINT NOT NULL DEFAULT 0,
advanced_update          TINYINT NOT NULL DEFAULT 0,
refresh_delay            INTEGER NOT NULL DEFAULT 0,
redirect_delay           TINYINT NOT NULL DEFAULT 0,
bugnote_order            VARCHAR(4) NOT NULL DEFAULT 'ASC',
email_on_new             TINYINT NOT NULL DEFAULT 0,
email_on_assigned        TINYINT NOT NULL DEFAULT 0,
email_on_feedback        TINYINT NOT NULL DEFAULT 0,
email_on_resolved        TINYINT NOT NULL DEFAULT 0,
email_on_closed          TINYINT NOT NULL DEFAULT 0,
email_on_reopened        TINYINT NOT NULL DEFAULT 0,
email_on_bugnote         TINYINT NOT NULL DEFAULT 0,
email_on_status          TINYINT NOT NULL DEFAULT 0,
email_on_priority        TINYINT NOT NULL DEFAULT 0,
email_on_priority_min_severity SMALLINT NOT NULL DEFAULT 10,
email_on_status_min_severity SMALLINT NOT NULL DEFAULT 10,
email_on_bugnote_min_severity SMALLINT NOT NULL DEFAULT 10,
email_on_reopened_min_severity SMALLINT NOT NULL DEFAULT 10,
email_on_closed_min_severity SMALLINT NOT NULL DEFAULT 10,
email_on_resolved_min_severity SMALLINT NOT NULL DEFAULT 10,
email_on_feedback_min_severity SMALLINT NOT NULL DEFAULT 10,
email_on_assigned_min_severity SMALLINT NOT NULL DEFAULT 10,
email_on_new_min_severity SMALLINT NOT NULL DEFAULT 10,
email_bugnote_limit      SMALLINT NOT NULL DEFAULT 0,
language                 VARCHAR(32) NOT NULL DEFAULT '@@LOCALE@@',
                 PRIMARY KEY (id)
)TYPE=MyISAM;

CREATE TABLE @@DB_MAIN_PREFIX@@_user_print_pref_table (
user_id                  INTEGER UNSIGNED NOT NULL DEFAULT 0,
print_pref               VARCHAR(27) NOT NULL DEFAULT '',
                 PRIMARY KEY (user_id)
)TYPE=MyISAM;

CREATE TABLE @@DB_MAIN_PREFIX@@_user_profile_table (
id                       INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
user_id                  INTEGER UNSIGNED NOT NULL DEFAULT 0,
platform                 VARCHAR(32) NOT NULL DEFAULT '',
os                       VARCHAR(32) NOT NULL DEFAULT '',
os_build                 VARCHAR(32) NOT NULL DEFAULT '',
description              LONGTEXT NOT NULL,
                 PRIMARY KEY (id)
)TYPE=MyISAM;

CREATE TABLE @@DB_MAIN_PREFIX@@_user_table (
id                       INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
username                 VARCHAR(32) NOT NULL DEFAULT '',
realname                 VARCHAR(64) NOT NULL DEFAULT '',
email                    VARCHAR(64) NOT NULL DEFAULT '',
password                 VARCHAR(32) NOT NULL DEFAULT '',
date_created             DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
last_visit               DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
enabled                  TINYINT NOT NULL DEFAULT 1,
protected                TINYINT NOT NULL DEFAULT 0,
access_level             SMALLINT NOT NULL DEFAULT 10,
login_count              INTEGER NOT NULL DEFAULT 0,
lost_password_request_count SMALLINT NOT NULL DEFAULT 0,
failed_login_count       SMALLINT NOT NULL DEFAULT 0,
cookie_string            VARCHAR(64) NOT NULL DEFAULT '',
                 PRIMARY KEY (id)
)TYPE=MyISAM;

ALTER TABLE @@DB_MAIN_PREFIX@@_user_table ADD  UNIQUE INDEX idx_user_cookie_string  (cookie_string);

ALTER TABLE @@DB_MAIN_PREFIX@@_user_table ADD  UNIQUE INDEX idx_user_username  (username);

ALTER TABLE @@DB_MAIN_PREFIX@@_user_table ADD  INDEX idx_enable  (enabled);

ALTER TABLE @@DB_MAIN_PREFIX@@_user_table ADD  INDEX idx_access  (access_level);

INSERT INTO @@DB_MAIN_PREFIX@@_user_table(username, realname, email, password, date_created, last_visit, enabled, protected, access_level, login_count, lost_password_request_count, failed_login_count, cookie_string) VALUES 
        ('@@ADMIN_NAME@@', '@@ADMIN_REALNAME@@', '@@ADMIN_EMAIL@@', md5('@@ADMIN_PASSWORD@@'), NOW(), NOW(), 1, 0, 90, 3, 0, 0, '3d6d8f341850cf0f04075ef64459159a20390ecf75d6c51f79ecbc63f7115f0f');

ALTER TABLE @@DB_MAIN_PREFIX@@_bug_history_table MODIFY COLUMN old_value VARCHAR(255) NOT NULL;

ALTER TABLE @@DB_MAIN_PREFIX@@_bug_history_table MODIFY COLUMN new_value VARCHAR(255) NOT NULL;

CREATE TABLE @@DB_MAIN_PREFIX@@_email_table (
email_id                 INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
email                    VARCHAR(64) NOT NULL DEFAULT '',
subject                  VARCHAR(250) NOT NULL DEFAULT '',
submitted                DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
metadata                 LONGTEXT NOT NULL,
body                     LONGTEXT NOT NULL,
                 PRIMARY KEY (email_id)
)TYPE=MyISAM;

ALTER TABLE @@DB_MAIN_PREFIX@@_email_table ADD  INDEX idx_email_id  (email_id);

ALTER TABLE @@DB_MAIN_PREFIX@@_bug_table ADD target_version VARCHAR(64) NOT NULL DEFAULT '';

ALTER TABLE @@DB_MAIN_PREFIX@@_bugnote_table ADD time_tracking INTEGER UNSIGNED NOT NULL DEFAULT 0;

ALTER TABLE @@DB_MAIN_PREFIX@@_bug_file_table ADD  INDEX idx_diskfile  (diskfile);

ALTER TABLE @@DB_MAIN_PREFIX@@_user_print_pref_table MODIFY COLUMN print_pref VARCHAR(64) NOT NULL;

ALTER TABLE @@DB_MAIN_PREFIX@@_bug_history_table MODIFY COLUMN field_name VARCHAR(64) NOT NULL;

CREATE TABLE @@DB_MAIN_PREFIX@@_tag_table (
id                       INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
user_id                  INTEGER UNSIGNED NOT NULL DEFAULT 0,
name                     VARCHAR(100) NOT NULL DEFAULT '',
description              LONGTEXT NOT NULL,
date_created             DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
date_updated             DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
                 PRIMARY KEY (id, name)
)TYPE=MyISAM;

CREATE TABLE @@DB_MAIN_PREFIX@@_bug_tag_table (
bug_id                   INTEGER UNSIGNED NOT NULL DEFAULT 0,
tag_id                   INTEGER UNSIGNED NOT NULL DEFAULT 0,
user_id                  INTEGER UNSIGNED NOT NULL DEFAULT 0,
date_attached            DATETIME NOT NULL DEFAULT '1970-01-01 00:00:01',
                 PRIMARY KEY (bug_id, tag_id)
)TYPE=MyISAM;

ALTER TABLE @@DB_MAIN_PREFIX@@_tokens_table ADD  INDEX idx_typeowner  (type, owner);

INSERT INTO @@DB_MAIN_PREFIX@@_config_table ( value, type, access_reqd, config_id, project_id, user_id ) VALUES ('63', 1, 90, 'database_version', 20, 0 );